﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System;

// This incorporates very basic functions that you can miss in 
// many different developments, as static functions
public class Utils{
	// Remove all the children of a transform
	public static void ClearChildren(Transform transform){
		for (int i = transform.childCount-1; i >=0; i--)
			UnityEngine.Object.Destroy(transform.GetChild (i).gameObject);
	}
	// Get the maximum value of a list
	public static float Max(List<float> values){
		if (values.Count <= 0)
			return 0;
		float max = float.MinValue;
		foreach (float value in values)
			max = Mathf.Max (max, value);
		return max;
	}

	// Get the minimum value of a list
	public static float Min(List<float> values){
		if (values.Count <= 0)
			return 0;
		float min = float.MaxValue;
		foreach (float value in values)
			min = Mathf.Min (min, value);
		return min;
	}
	// Get the average sum of a list
	public static float Sum(List<float> values){
		float sum = 0;
		foreach (float value in values)
			sum+=value;
		return sum;
	}
	// Average of a list
	public static float Average(List<float> values){
		if (values.Count <= 0)
			return 0;
		return Sum (values) / values.Count;
	}
	// It returns the size of enum
	public static int Size(Type enumType){
		return Enum.GetValues (enumType).Length;
	}
	// It convers an array of objects into a a string
	public static string Str(Vector2[] positions){
		string str = "";
		foreach (Vector2 pos in positions)
			str += pos.ToString ();
		return str;
	}
}



