﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

/* This class represents an agent folowing the PEABS recommendations. It has an virtual
 * Live method that is called in each simulation iteration and can be implemented
 * by the concrete agents.
 * */
public class Agent{
	// Reference to the simulator
	protected Simulation sim;
	// Method to be implemented by concrete agents
	public virtual void Live(){}
	// Constructor of the class
	public Agent(Simulation sim){
		this.sim = sim;
	}
}
