﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

/* This is the container of agents following the PEABS recommendations. It can run
 * a simulation of certian number of iterations */
public class Simulation {
	// List of the agents
	public List<Agent> agents;
	// The current iteration
	private int iteration;
	// Constructor of the class that starts with an empty list of agents
	public Simulation(){
		agents = new List<Agent> ();
	}
	// It runs a simulation of a certain number of iterations
	public void RunSim(int numIterations){
		for (iteration = 0; iteration < numIterations; iteration++) 
			foreach (Agent agent in agents)
				agent.Live ();
	}
	// It returns the current iteration
	public int GetIteration(){
		return iteration;
	}
	// It returns a string from the ToString results of all agents
	public override string ToString ()
	{
		string str = "";
		foreach (Agent agent in agents)
			str += agent.ToString ();
		return str;
	}

}
