﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System.IO;

/* This class gather most of the code for the experimentation considering
 * that it needs several simulations toguether and outputting the results
 * to a text file. The results are appended to the existing ones for each
 * new simulation.
 * */
public class Experimentation : MonoBehaviour {
	// Number of simulations that will be executed for experiments. If the app is not going to
	// be used for battery of experiments, then set this number to one;
	public  static int numSims = 1;  // 1 // 100 // 1000
	// Patht of the average results
	public static string pathResults = Application.persistentDataPath+"/ABSResults.txt";
	// It determines whether to save the logs of the evolution
	public static bool saveLogsEvolution = true;
	// Path for saving the logs of the evolutions estimated and observed
	public static string pathLogsEvol = Application.persistentDataPath+"/ABSEvol.txt";

	// It saves the results of a simulation in the text file, appending to the 
	// existing ones
	public static void SaveResults(List<float> results, string path){
		string row = "";
		foreach (float result in results)
			row += result + "\t";
		StreamWriter writer=new StreamWriter(path,true);
		writer.WriteLine (row);
		writer.Close ();
	}

	// It saves a string into a file
	public static void SaveResults(string str, string path, bool append=true){
		StreamWriter writer=new StreamWriter(path,append);
		writer.WriteLine (str);
		writer.Close ();
	}
}

