﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

/* This agent standardizes the priority of a request, and forward the request
 * to the manager agent */
public class PriorityAgent : Agent {
	private ManagerAgent managerAgent;
	// Constructor of the agent
	public PriorityAgent(Simulation sim, ManagerAgent managerAgent):base(sim){
		this.managerAgent = managerAgent;
	}
	// This function is invoked by the user agent when asking for a service
	public void AskService(Request request){
		request.normPrior = Normalize (request.priority);
		managerAgent.AddRequest (request);
	}
	// This standardizes the priority of a request
	protected virtual int Normalize(float priority){
		float normPrior = priority * (Params.maxNormPrior / Params.maxPriority);
		return (int) Mathf.Round(normPrior);
	}
}
